mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags To be added.

These flags affect the security descriptor behavior.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the Discretionary Access Control List (DACL) has been automatically inherited from the parent. Set by resource managers only.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Ignored.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the DACL was obtained by a defaulting mechanism. Set by resource managers only.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the DACL is not null. Set by resource managers or users.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the resource manager prevents auto-inheritance. Set by resource managers or users.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Ignored.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the group was obtained by a defaulting mechanism. Set by resource managers only; should not be set by callers.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  No control flags.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the owner was obtained by a defaulting mechanism. Set by resource managers only; should not be set by callers.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the contents of the Reserved field are valid.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the security descriptor binary representation is in the self-relative format. This flag is always set.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Ignored.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the System Access Control List (SACL) has been automatically inherited from the parent. Set by resource managers only.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Ignored.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the SACL was obtained by a defaulting mechanism. Set by resource managers only.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the SACL is not null. Set by resource managers or users.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.ControlFlags

  Specifies that the resource manager prevents auto-inheritance. Set by resource managers or users.